Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps
Class PSResource

    java.lang.Object
      org.apache.xmlgraphics.ps.PSResource

All Implemented Interfaces:
  Comparable

Direct Known Subclasses:
  PSProcSet

    public class PSResource

extends Object
implements Comparable

Represents a PostScript resource (file, font, procset etc.).

Field Summary
`static String` | `TYPE_CIDFONT` A CIDFont resource.
`static String` | `TYPE_CMAP` A CMap resource.
`static String` | `TYPE_ENCODING` a procset resource
`static String` | `TYPE_FILE` a file resource
`static String` | `TYPE_FONT` a font resource
`static String` | `TYPE_FORM` a procset resource
`static String` | `TYPE_PATTERN` a procset resource
`static String` | `TYPE_PROCSET` a procset resource

Constructor Summary
`PSResource(String type, String name)` Main constructor

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`String` | `getName()`
`String` | `getResourceSpecification()`
`String` | `getType()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_FILE

    public static final String TYPE_FILE

  a file resource

  See Also:
    Constant Field Values

### TYPE_FONT

    public static final String TYPE_FONT

  a font resource

  See Also:
    Constant Field Values

### TYPE_PROCSET

    public static final String TYPE_PROCSET

  a procset resource

  See Also:
    Constant Field Values

### TYPE_PATTERN

    public static final String TYPE_PATTERN

  a procset resource

  See Also:
    Constant Field Values

### TYPE_FORM

    public static final String TYPE_FORM

  a procset resource

  See Also:
    Constant Field Values

### TYPE_ENCODING

    public static final String TYPE_ENCODING

  a procset resource

  See Also:
    Constant Field Values

### TYPE_CMAP

    public static final String TYPE_CMAP

  A CMap resource.

  See Also:
    Constant Field Values

### TYPE_CIDFONT

    public static final String TYPE_CIDFONT

  A CIDFont resource.

  See Also:
    Constant Field Values

Constructor Detail

### PSResource

    public PSResource(String type,
                      String name)

  Main constructor

  Parameters:
    `type` - type of the resource
    `name` - name of the resource

Method Detail

### getType

    public String getType()

  Returns:
    the type of the resource

### getName

    public String getName()

  Returns:
    the name of the resource

### getResourceSpecification

    public String getResourceSpecification()

  Returns:
    the <resource> specification as defined in DSC v3.0 spec.

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.